; Source code of the file "NAMCOFNT.BIN"
; Based on "Namco Character Set.bin" font
; By: Richard C. Degler sometime in 1984
;
; CPU Type: Z80 for the Bally Computer System
;
; Commented with dZ80 2.0 by Richard C. Degler
; using my script "BallyHVG.LUA" from scratch
;
; Assembles with zmac -i -m NAMCOFNT.ASM
;
; on Tuesday, 14 of December 2010 at 01:56 AM
;

; Note: Characters are 7x7 blocks in an 8x8 cell,
; based on the PAC-MAN (c)NAMCO arcade game font.
;

; ###### for CONDITIONAL ASSEMBLY #####
TEST    EQU     0               ; # 0 #
; Automatic Key Repeat if set to 1 ####
;

        NOLIST

        INCLUDE "HVGLIB.H"      ; HOME VIDEO GAME LIBRARY

; no RAM locations used
;

        LIST

        ORG     $2000

; ********* L2000: $C3 flags an AUTOSTART ***
        JP      START

; ========= L2003: Alternate Font Descriptor BLocK ===
FONTBLK:
        DB      $A0             ; FonT BASE character (normally $20)
        DB      $08             ; FonT Frame Size X width
        DB      $08             ; FonT Frame Size Y height
        DB      $01             ; FonT X size for char in BYTEs
        DB      $07             ; FonT Y SIZe height in rows
        DW      FONT            ; FonT Pattern Table address

; ====== L200A: COLor TABle [Reversion 1 / 0 menu colors] ===
COLTAB:
        DB      $FA             ; Color 3 left = BLUE
        DB      $62             ; Color 2 = RED
        DB      $00             ; Color 1 = BLACK
        DB      $07             ; Color 0 = WHITE
        ;
        DB      $FB             ; Color 3 right = lighter BLUE
        DB      $52             ; Color 2 = another RED
        DB      $00             ; Color 1 = BLACK
        DB      $07             ; Color 0 = WHITE

; ====== L2012: Background 2x text STRING ===
STRING:
        DB      ' ' + $80
        DB      'T' + $80
        DB      'H' + $80
        DB      'E' + $80
        DB      ' ' + $80
        DB      'Q' + $80
        DB      'U' + $80
        DB      'I' + $80
        DB      'C' + $80
        DB      'K' + $80
        ;
        DB      'B' + $80
        DB      'R' + $80
        DB      'O' + $80
        DB      'W' + $80
        DB      'N' + $80
        DB      ' ' + $80
        DB      'F' + $80
        DB      'O' + $80
        DB      'X' + $80
        DB      ' ' + $80
        ;
        DB      'J' + $80
        DB      'U' + $80
        DB      'M' + $80
        DB      'P' + $80
        DB      'S' + $80
        DB      ' ' + $80
        DB      'O' + $80
        DB      'V' + $80
        DB      'E' + $80
        DB      'R' + $80
        ;
        DB      ' ' + $80
        DB      'T' + $80
        DB      'H' + $80
        DB      'E' + $80
        DB      ' ' + $80
        DB      'L' + $80
        DB      'A' + $80
        DB      'Z' + $80
        DB      'Y' + $80
        DB      ' ' + $80
        ;
        DB      'D' + $80
        DB      'O' + $80
        DB      'G' + $80
        DB      '!' + $80
        DB      ' ' + $80
        DB      '@' + $80
        DB      $64,$43         ; for PLOP 2x Color 0 on Color 3
        DB      'd' + $80       ; Six letters in Four characters !
        DB      'e' + $80
        DB      'f' + $80
        DB      'g' + $80
        DB      $64,$48         ; back to PLOP 2x Color 2 on Color 0
        ;
        DB      '"' + $80
        DB      '#' + $80
        DB      '$' + $80
        DB      '&' + $80
        DB      '(' + $80
        DB      ')' + $80
        DB      '?' + $80
        DB      '`' + $80       ; Down Arrow
        DB      'b' + $80       ; Multiply
        DB      'c' + $80       ; Divide
        ;
        DB      $00

; ********* L204F: jumps here to START ***
START:
        LD      SP,SYSRAM       ; $4FCE
        LD      IX,FONTBLK      ; Alt Font Descriptor

        SYSTEM  INTPC           ; UPI INTerPret with Context create
        ;
        DO      FILL            ; UPI FILL memory with data
        DW      NORMEM          ; ... Memory Address = 16384
        DW      $64 * BYTEPL    ; ... Byte Count = 100 lines
        DB      $00             ; ... Data = 0
        ;
        DO      FILL            ; UPI FILL memory with data
        DW      SYSRAM          ; ... Memory Address = 20430 ($4FCE)
        DW      $5000 - SYSRAM  ; ... Byte Count = 50
        DB      $00             ; ... Data = 0
        ;
        DO      SETOUT          ; UPI SET some OUTput ports
        DB      $C8             ; ... VERBL*2 for Pixel line 100 * 2 = 200
        DB      $14             ; ... HORCB/4 = 20 for Center divider
        DB      $08             ; ... INMOD for Screen Ints. only
        ;
        DO      COLSET          ; UPI COLors SET
        DW      COLTAB           ; ... Table Address = 8202 {$200A}
        ;
        DO      STRDIS          ; UPI STRing DISplay
        DW      $0000           ; ... X = 0, Y = 0 for Upper Left
        DB      $48             ; ... Options for PLOP 2x Color 2 on Color 0
        DW      STRING          ; ... String Address = 8210 ($2012)
        ;
        EXIT                    ; UPI eXit INTerpreter with Context [aka DONT  XINTC]
        ;
        LD      A,$FF           ; keeps SENTRY from doing instant PIZza BReaK
        LD      (TIMOUT),A
        LD      DE,$0000        ; start Cursor at Upper Left corner
GETKEY:
        LD      HL,GETKEY       ; fake a return address back here ($207A)
        PUSH    HL
        PUSH    DE              ; store Cursor position
        XOR     A               ; [or LD  A,$FF ??]
        DEC     A
        LD      BC,(FONTBLK + FTFSX)
        DEC     B               ; for 7 x 7 Cursor [strobes in idle]
        DEC     C
        SYSTEM  RECTAN          ; UPI paint a RECTANgle in Color 3
        ;
        SYSSUK  SENTRY          ; UPI SENse TRansition of ALL KEYS
        DW      ALKEYS          ; ... Keymask Address = 532 ($0214)
        ;
        POP     DE              ; restore Cursor position
        CP      SKYD            ; KEY DOWN?
        RET     NZ              ; NO - WAIT
        SYSTEM  KCTASC          ; UPI Key Code in B To ASCii
        ;
        EX      AF,AF'          ; erase an 8 x 8 Block
        XOR     A
        LD      BC,(FONTBLK + FTFSX)
        SYSTEM  RECTAN          ; UPI paint a RECTANgle in Color 0
        ;
        EX      AF,AF'
        ADD     A,$80           ; use Alt Font
        LD      IX,FONTBLK      ; ... Descriptor
        LD      C,$24           ; for X-OR Color 1 on Color 0
        SYSTEM  CHRDIS          ; UPI CHaRacter DISplay
        ;
        LD      A,(FONTBLK + FTFSX) ; check for enough room
        ADD     A,E
        CP      $A0 + 1         ; is next X less than 160 ?
        JR      C,GETK1                 ; (+$07) if onscreen
        LD      E,$00           ; else Wrap it manually ...
        LD      A,(FONTBLK + FTFSY)
        ADD     A,D
        LD      D,A
; *** L20B5: ... since CHRDIS linewrap only works at Zero shifts !!
GETK1:
if TEST ; ### CONDITIONAL ASSEMBLY ####
        xor  a                  ; # + # for Auto-Repeat
        ld  (keysex),a          ; # + # at Maximum Speed
endif ; ### END CONDITIONAL ASSEMBLY ##

        LD      A,(FONTBLK + FTYSIZ) ; check for bottom
        ADD     A,D
        CP      $64             ; is next Y less than 100 ?
        RET     C
        LD      D,$00           ; else Wrap it
        RET

; ====== Alternate FONT patterns ===
FONT:
; Symbol 'Space' - ASCII #32
        DB      $00     ; . . . . . . . .
        DB      $00     ; . . . . . . . .
        DB      $00     ; . . . . . . . .
        DB      $00     ; . . . . . . . .
        DB      $00     ; . . . . . . . .
        DB      $00     ; . . . . . . . .
        DB      $00     ; . . . . . . . .

; Symbol '!' - ASCII #33
        DB      $1C     ; . . . X X X . .
        DB      $1C     ; . . . X X X . .
        DB      $38     ; . . X X X . . .
        DB      $30     ; . . X X . . . .
        DB      $20     ; . . X . . . . .
        DB      $00     ; . . . . . . . .
        DB      $60     ; . X X . . . . .

; Symbol '"' - ASCII #34
        DB      $6C     ; . X X . X X . .
        DB      $6C     ; . X X . X X . .
        DB      $24     ; . . X . . X . .
        DB      $48     ; . X . . X . . .
        DB      $00     ; . . . . . . . .
        DB      $00     ; . . . . . . . .
        DB      $00     ; . . . . . . . .

; Symbol '#' - ASCII #35
        DB      $6C     ; . X X . X X . .
        DB      $6C     ; . X X . X X . .
        DB      $FE     ; X X X X X X X .
        DB      $6C     ; . X X . X X . .
        DB      $FE     ; X X X X X X X .
        DB      $6C     ; . X X . X X . .
        DB      $6C     ; . X X . X X . .

; Symbol '$' - ASCII #36
        DB      $10     ; . . . X . . . .
        DB      $7C     ; . X X X X X . .
        DB      $D0     ; X X . X . . . .
        DB      $7C     ; . X X X X X . .
        DB      $16     ; . . . X . X X .
        DB      $7C     ; . X X X X X . .
        DB      $10     ; . . . X . . . .

; Symbol '%' - ASCII #37
        DB      $E2     ; X X X . . . X .
        DB      $A4     ; X . X . . X . .
        DB      $E8     ; X X X . X . . .
        DB      $10     ; . . . X . . . .
        DB      $2E     ; . . X . X X X .
        DB      $4A     ; . X . . X . X .
        DB      $8E     ; X . . . X X X .

; Symbol '&' - ASCII #38
        DB      $60     ; . X X . . . . .
        DB      $90     ; X . . X . . . .
        DB      $B0     ; X X . X . . . .
        DB      $66     ; . X X . . X X .
        DB      $D4     ; X X . X . X . .
        DB      $88     ; X . . . X . . .
        DB      $76     ; . X X X . X X .

; Symbol "'" - ASCII #39
        DB      $30     ; . . X X . . . .
        DB      $30     ; . . X X . . . .
        DB      $10     ; . . . X . . . .
        DB      $20     ; . . X . . . . .
        DB      $00     ; . . . . . . . .
        DB      $00     ; . . . . . . . .
        DB      $00     ; . . . . . . . .

; Symbol '(' - ASCII #40
        DB      $18     ; . . . X X . . .
        DB      $30     ; . . X X . . . .
        DB      $60     ; . X X . . . . .
        DB      $60     ; . X X . . . . .
        DB      $60     ; . X X . . . . .
        DB      $30     ; . . X X . . . .
        DB      $18     ; . . . X X . . .

; Symbol ')' - ASCII #41
        DB      $30     ; . . X X . . . .
        DB      $18     ; . . . X X . . .
        DB      $0C     ; . . . . X X . .
        DB      $0C     ; . . . . X X . .
        DB      $0C     ; . . . . X X . .
        DB      $18     ; . . . X X . . .
        DB      $30     ; . . X X . . . .

; Symbol '*' - ASCII #42
        DB      $10     ; . . . X . . . .
        DB      $54     ; . X . X . X . .
        DB      $38     ; . . X X X . . .
        DB      $10     ; . . . X . . . .
        DB      $38     ; . . X X X . . .
        DB      $54     ; . X . X . X . .
        DB      $10     ; . . . X . . . .

; Symbol '+' - ASCII #43
        DB      $00     ; . . . . . . . .
        DB      $30     ; . . X X . . . .
        DB      $30     ; . . X X . . . .
        DB      $FC     ; X X X X X X . .
        DB      $30     ; . . X X . . . .
        DB      $30     ; . . X X . . . .
        DB      $00     ; . . . . . . . .

; Symbol ''' - ASCII #44
        DB      $00     ; . . . . . . . .
        DB      $00     ; . . . . . . . .
        DB      $00     ; . . . . . . . .
        DB      $60     ; . X X . . . . .
        DB      $60     ; . X X . . . . .
        DB      $20     ; . . X . . . . .
        DB      $40     ; . X . . . . . .

; Symbol '-' - ASCII #45
        DB      $00     ; . . . . . . . .
        DB      $00     ; . . . . . . . .
        DB      $FC     ; X X X X X X . .
        DB      $FC     ; X X X X X X . .
        DB      $00     ; . . . . . . . .
        DB      $00     ; . . . . . . . .
        DB      $00     ; . . . . . . . .

; Symbol '.' - ASCII #46
        DB      $00     ; . . . . . . . .
        DB      $00     ; . . . . . . . .
        DB      $00     ; . . . . . . . .
        DB      $00     ; . . . . . . . .
        DB      $00     ; . . . . . . . .
        DB      $30     ; . . X X . . . .
        DB      $30     ; . . X X . . . .

; Symbol '/' - ASCII #47
        DB      $03     ; . . . . . . X X
        DB      $06     ; . . . . . X X .
        DB      $0C     ; . . . . X X . .
        DB      $18     ; . . . X X . . .
        DB      $30     ; . . X X . . . .
        DB      $60     ; . X X . . . . .
        DB      $C0     ; X X . . . . . .

; Number '0' - ASCII #48
        DB      $38     ; . . X X X . . .
        DB      $4C     ; . X . . X X . .
        DB      $C6     ; X X . . . X X .
        DB      $C6     ; X X . . . X X .
        DB      $C6     ; X X . . . X X .
        DB      $64     ; . X X . . X . .
        DB      $38     ; . . X X X . . .

; Number '1' - ASCII #49
        DB      $18     ; . . . X X . . .
        DB      $38     ; . . X X X . . .
        DB      $18     ; . . . X X . . .
        DB      $18     ; . . . X X . . .
        DB      $18     ; . . . X X . . .
        DB      $18     ; . . . X X . . .
        DB      $7E     ; . X X X X X X .

; Number '2' - ASCII #50
        DB      $7C     ; . X X X X X . .
        DB      $C6     ; X X . . . X X .
        DB      $0E     ; . . . . X X X .
        DB      $3C     ; . . X X X X . .
        DB      $78     ; . X X X X . . .
        DB      $E0     ; X X X . . . . .
        DB      $FE     ; X X X X X X X .

; Number '3' - ASCII #51
        DB      $7E     ; . X X X X X X .
        DB      $0C     ; . . . . X X . .
        DB      $18     ; . . . X X . . .
        DB      $3C     ; . . X X X X . .
        DB      $06     ; . . . . . X X .
        DB      $C6     ; X X . . . X X .
        DB      $7C     ; . X X X X X . .

; Number '4' - ASCII #52
        DB      $1C     ; . . . X X X . .
        DB      $3C     ; . . X X X X . .
        DB      $6C     ; . X X . X X . .
        DB      $CC     ; X X . . X X . .
        DB      $FE     ; X X X X X X X .
        DB      $0C     ; . . . . X X . .
        DB      $0C     ; . . . . X X . .

; Number '5' - ASCII #53
        DB      $FC     ; X X X X X X . .
        DB      $C0     ; X X . . . . . .
        DB      $FC     ; X X X X X X . .
        DB      $06     ; . . . . . X X .
        DB      $06     ; . . . . . X X .
        DB      $C6     ; X X . . . X X .
        DB      $7C     ; . X X X X X . .

; Number '6' - ASCII #54
        DB      $3C     ; . . X X X X . .
        DB      $60     ; . X X . . . . .
        DB      $C0     ; X X . . . . . .
        DB      $FC     ; X X X X X X . .
        DB      $C6     ; X X . . . X X .
        DB      $C6     ; X X . . . X X .
        DB      $7C     ; . X X X X X . .

; Number '7' - ASCII #55
        DB      $FE     ; X X X X X X X .
        DB      $C6     ; X X . . . X X .
        DB      $0C     ; . . . . X X . .
        DB      $18     ; . . . X X . . .
        DB      $30     ; . . X X . . . .
        DB      $30     ; . . X X . . . .
        DB      $30     ; . . X X . . . .

; Number '8' - ASCII #56
        DB      $78     ; . X X X X . . .
        DB      $C4     ; X X . . . X . .
        DB      $E4     ; X X X . . X . .
        DB      $78     ; . X X X X . . .
        DB      $9E     ; X . . X X X X .
        DB      $86     ; X . . . . X X .
        DB      $7C     ; . X X X X X . .

; Number '9' - ASCII #57
        DB      $7C     ; . X X X X X . .
        DB      $C6     ; X X . . . X X .
        DB      $C6     ; X X . . . X X .
        DB      $7E     ; . X X X X X X .
        DB      $06     ; . . . . . X X .
        DB      $0C     ; . . . . X X . .
        DB      $78     ; . X X X X . . .

; Symbol ':' - ASCII #58
        DB      $00     ; . . . . . . . .
        DB      $30     ; . . X X . . . .
        DB      $30     ; . . X X . . . .
        DB      $00     ; . . . . . . . .
        DB      $30     ; . . X X . . . .
        DB      $30     ; . . X X . . . .
        DB      $00     ; . . . . . . . .

; Symbol ';' - ASCII #59
        DB      $30     ; . . X X . . . .
        DB      $30     ; . . X X . . . .
        DB      $00     ; . . . . . . . .
        DB      $30     ; . . X X . . . .
        DB      $30     ; . . X X . . . .
        DB      $10     ; . . . X . . . .
        DB      $20     ; . . X . . . . .

; Symbol '<' - ASCII #60
        DB      $0C     ; . . . . X X . .
        DB      $18     ; . . . X X . . .
        DB      $30     ; . . X X . . . .
        DB      $60     ; . X X . . . . .
        DB      $30     ; . . X X . . . .
        DB      $18     ; . . . X X . . .
        DB      $0C     ; . . . . X X . .

; Symbol '=' - ASCII #61
        DB      $00     ; . . . . . . . .
        DB      $FC     ; X X X X X X . .
        DB      $FC     ; X X X X X X . .
        DB      $00     ; . . . . . . . .
        DB      $FC     ; X X X X X X . .
        DB      $FC     ; X X X X X X . .
        DB      $00     ; . . . . . . . .

; Symbol '>' - ASCII #62
        DB      $60     ; . X X . . . . .
        DB      $30     ; . . X X . . . .
        DB      $18     ; . . . X X . . .
        DB      $0C     ; . . . . X X . .
        DB      $18     ; . . . X X . . .
        DB      $30     ; . . X X . . . .
        DB      $60     ; . X X . . . . .

; Symbol '?' - ASCII #63
        DB      $7C     ; . X X X X X . .
        DB      $C6     ; X X . . . X X .
        DB      $06     ; . . . . . X X .
        DB      $0C     ; . . . . X X . .
        DB      $18     ; . . . X X . . .
        DB      $00     ; . . . . . . . .
        DB      $18     ; . . . X X . . .

; Symbol '@' - ASCII #64
        DB      $7C     ; . X X X X X . .
        DB      $82     ; X . . . . . X .
        DB      $BA     ; X . X X X . X .
        DB      $AA     ; X . X . X . X .
        DB      $BE     ; X . X X X X X .
        DB      $80     ; X . . . . . . .
        DB      $7C     ; . X X X X X . .

; Letter 'A' - ASCII #65
        DB      $38     ; . . X X X . . .
        DB      $6C     ; . X X . X X . .
        DB      $C6     ; X X . . . X X .
        DB      $C6     ; X X . . . X X .
        DB      $FE     ; X X X X X X X .
        DB      $C6     ; X X . . . X X .
        DB      $C6     ; X X . . . X X .

; Letter 'B' - ASCII #66
        DB      $FC     ; X X X X X X . .
        DB      $C6     ; X X . . . X X .
        DB      $C6     ; X X . . . X X .
        DB      $FC     ; X X X X X X . .
        DB      $C6     ; X X . . . X X .
        DB      $C6     ; X X . . . X X .
        DB      $FC     ; X X X X X X . .

; Letter 'C' - ASCII #67
        DB      $3C     ; . . X X X X . .
        DB      $66     ; . X X . . X X .
        DB      $C0     ; X X . . . . . .
        DB      $C0     ; X X . . . . . .
        DB      $C0     ; X X . . . . . .
        DB      $66     ; . X X . . X X .
        DB      $3C     ; . . X X X X . .

; Letter 'D' - ASCII #68
        DB      $F8     ; X X X X X . . .
        DB      $CC     ; X X . . X X . .
        DB      $C6     ; X X . . . X X .
        DB      $C6     ; X X . . . X X .
        DB      $C6     ; X X . . . X X .
        DB      $CC     ; X X . . X X . .
        DB      $F8     ; X X X X X . . .

; Letter 'E' - ASCII #69
        DB      $7E     ; . X X X X X X .
        DB      $60     ; . X X . . . . .
        DB      $60     ; . X X . . . . .
        DB      $7C     ; . X X X X X . .
        DB      $60     ; . X X . . . . .
        DB      $60     ; . X X . . . . .
        DB      $7E     ; . X X X X X X .

; Letter 'F' - ASCII #70
        DB      $FE     ; X X X X X X X .
        DB      $C0     ; X X . . . . . .
        DB      $C0     ; X X . . . . . .
        DB      $FC     ; X X X X X X . .
        DB      $C0     ; X X . . . . . .
        DB      $C0     ; X X . . . . . .
        DB      $C0     ; X X . . . . . .

; Letter 'G' - ASCII #71
        DB      $3E     ; . . X X X X X .
        DB      $60     ; . X X . . . . .
        DB      $C0     ; X X . . . . . .
        DB      $CE     ; X X . . X X X .
        DB      $C6     ; X X . . . X X .
        DB      $66     ; . X X . . X X .
        DB      $3E     ; . . X X X X X .

; Letter 'H' - ASCII #72
        DB      $C6     ; X X . . . X X .
        DB      $C6     ; X X . . . X X .
        DB      $C6     ; X X . . . X X .
        DB      $FE     ; X X X X X X X .
        DB      $C6     ; X X . . . X X .
        DB      $C6     ; X X . . . X X .
        DB      $C6     ; X X . . . X X .

; Letter 'I' - ASCII #73
        DB      $7E     ; . X X X X X X .
        DB      $18     ; . . . X X . . .
        DB      $18     ; . . . X X . . .
        DB      $18     ; . . . X X . . .
        DB      $18     ; . . . X X . . .
        DB      $18     ; . . . X X . . .
        DB      $7E     ; . X X X X X X .

; Letter 'J' - ASCII #74
        DB      $06     ; . . . . . X X .
        DB      $06     ; . . . . . X X .
        DB      $06     ; . . . . . X X .
        DB      $06     ; . . . . . X X .
        DB      $06     ; . . . . . X X .
        DB      $C6     ; X X . . . X X .
        DB      $7C     ; . X X X X X . .

; Letter 'K' - ASCII #75
        DB      $C6     ; X X . . . X X .
        DB      $CC     ; X X . . X X . .
        DB      $D8     ; X X . X X . . .
        DB      $F0     ; X X X X . . . .
        DB      $F8     ; X X X X X . . .
        DB      $DC     ; X X . X X X . .
        DB      $CE     ; X X . . X X X .

; Letter 'L' - ASCII #76
        DB      $60     ; . X X . . . . .
        DB      $60     ; . X X . . . . .
        DB      $60     ; . X X . . . . .
        DB      $60     ; . X X . . . . .
        DB      $60     ; . X X . . . . .
        DB      $60     ; . X X . . . . .
        DB      $7E     ; . X X X X X X .

; Letter 'M' - ASCII #77
        DB      $C6     ; X X . . . X X .
        DB      $EE     ; X X X . X X X .
        DB      $FE     ; X X X X X X X .
        DB      $FE     ; X X X X X X X .
        DB      $D6     ; X X . X . X X .
        DB      $C6     ; X X . . . X X .
        DB      $C6     ; X X . . . X X .

; Letter 'N' - ASCII #78
        DB      $C6     ; X X . . . X X .
        DB      $E6     ; X X X . . X X .
        DB      $F6     ; X X X X . X X .
        DB      $FE     ; X X X X X X X .
        DB      $DE     ; X X . X X X X .
        DB      $CE     ; X X . . X X X .
        DB      $C6     ; X X . . . X X .

; Letter 'O' - ASCII #79
        DB      $7C     ; . X X X X X . .
        DB      $C6     ; X X . . . X X .
        DB      $C6     ; X X . . . X X .
        DB      $C6     ; X X . . . X X .
        DB      $C6     ; X X . . . X X .
        DB      $C6     ; X X . . . X X .
        DB      $7C     ; . X X X X X . .

; Letter 'P' - ASCII #80
        DB      $FC     ; X X X X X X . .
        DB      $C6     ; X X . . . X X .
        DB      $C6     ; X X . . . X X .
        DB      $C6     ; X X . . . X X .
        DB      $FC     ; X X X X X X . .
        DB      $C0     ; X X . . . . . .
        DB      $C0     ; X X . . . . . .

; Letter 'Q' - ASCII #81
        DB      $7C     ; . X X X X X . .
        DB      $C6     ; X X . . . X X .
        DB      $C6     ; X X . . . X X .
        DB      $C6     ; X X . . . X X .
        DB      $DE     ; X X . X X X X .
        DB      $CC     ; X X . . X X . .
        DB      $7A     ; . X X X X . X .

; Letter 'R' - ASCII #82
        DB      $FC     ; X X X X X X . .
        DB      $C6     ; X X . . . X X .
        DB      $C6     ; X X . . . X X .
        DB      $CE     ; X X . . X X X .
        DB      $F8     ; X X X X X . . .
        DB      $DC     ; X X . X X X . .
        DB      $CE     ; X X . . X X X .

; Letter 'S' - ASCII #83
        DB      $78     ; . X X X X . . .
        DB      $CC     ; X X . . X X . .
        DB      $C0     ; X X . . . . . .
        DB      $7C     ; . X X X X X . .
        DB      $06     ; . . . . . X X .
        DB      $C6     ; X X . . . X X .
        DB      $7C     ; . X X X X X . .

; Letter 'T' - ASCII #84
        DB      $7E     ; . X X X X X X .
        DB      $18     ; . . . X X . . .
        DB      $18     ; . . . X X . . .
        DB      $18     ; . . . X X . . .
        DB      $18     ; . . . X X . . .
        DB      $18     ; . . . X X . . .
        DB      $18     ; . . . X X . . .

; Letter 'U' - ASCII #85
        DB      $C6     ; X X . . . X X .
        DB      $C6     ; X X . . . X X .
        DB      $C6     ; X X . . . X X .
        DB      $C6     ; X X . . . X X .
        DB      $C6     ; X X . . . X X .
        DB      $C6     ; X X . . . X X .
        DB      $7C     ; . X X X X X . .

; Letter 'V' - ASCII #86
        DB      $C6     ; X X . . . X X .
        DB      $C6     ; X X . . . X X .
        DB      $C6     ; X X . . . X X .
        DB      $EE     ; X X X . X X X .
        DB      $7C     ; . X X X X X . .
        DB      $38     ; . . X X X . . .
        DB      $10     ; . . . X . . . .

; Letter 'W' - ASCII #87
        DB      $C6     ; X X . . . X X .
        DB      $C6     ; X X . . . X X .
        DB      $D6     ; X X . X . X X .
        DB      $FE     ; X X X X X X X .
        DB      $FE     ; X X X X X X X .
        DB      $EE     ; X X X . X X X .
        DB      $C6     ; X X . . . X X .

; Letter 'X' - ASCII #88
        DB      $C6     ; X X . . . X X .
        DB      $EE     ; X X X . X X X .
        DB      $7C     ; . X X X X X . .
        DB      $38     ; . . X X X . . .
        DB      $7C     ; . X X X X X . .
        DB      $EE     ; X X X . X X X .
        DB      $C6     ; X X . . . X X .

; Letter 'Y' - ASCII #89
        DB      $66     ; . X X . . X X .
        DB      $66     ; . X X . . X X .
        DB      $66     ; . X X . . X X .
        DB      $3C     ; . . X X X X . .
        DB      $18     ; . . . X X . . .
        DB      $18     ; . . . X X . . .
        DB      $18     ; . . . X X . . .

; Letter 'Z' - ASCII #90
        DB      $FE     ; X X X X X X X .
        DB      $0E     ; . . . . X X X .
        DB      $1C     ; . . . X X X . .
        DB      $38     ; . . X X X . . .
        DB      $70     ; X X X . . . . .
        DB      $E0     ; X X X . . . . .
        DB      $FE     ; X X X X X X X .

; Symbol '[' - ASCII #91
        DB      $78     ; . X X X X . . .
        DB      $60     ; . X X . . . . .
        DB      $60     ; . X X . . . . .
        DB      $60     ; . X X . . . . .
        DB      $60     ; . X X . . . . .
        DB      $60     ; . X X . . . . .
        DB      $78     ; . X X X X . . .

; Symbol '\' - ASCII #92
        DB      $C0     ; X X . . . . . .
        DB      $60     ; . X X . . . . .
        DB      $30     ; . . X X . . . .
        DB      $18     ; . . . X X . . .
        DB      $0C     ; . . . . X X . .
        DB      $06     ; . . . . . X X .
        DB      $02     ; . . . . . . X .

; Symbol ']' - ASCII #93
        DB      $3C     ; . . X X X X . .
        DB      $0C     ; . . . . X X . .
        DB      $0C     ; . . . . X X . .
        DB      $0C     ; . . . . X X . .
        DB      $0C     ; . . . . X X . .
        DB      $0C     ; . . . . X X . .
        DB      $3C     ; . . X X X X . .

; Symbol 'Up' - ASCII #94
        DB      $18     ; . . . X X . . .
        DB      $3C     ; . . X X X X . .
        DB      $7E     ; . X X X X X X .
        DB      $5A     ; . X . X X . X .
        DB      $18     ; . . . X X . . .
        DB      $18     ; . . . X X . . .
        DB      $18     ; . . . X X . . .

; Symbol 'Left' - ASCII #95
        DB      $00     ; . . . . . . . .
        DB      $30     ; . . X X . . . .
        DB      $60     ; . X X . . . . .
        DB      $FE     ; X X X X X X X .
        DB      $FE     ; X X X X X X X .
        DB      $60     ; . X X . . . . .
        DB      $30     ; . . X X . . . .

; Symbol 'Down' - ASCII #96
        DB      $18     ; . . . X X . . .
        DB      $18     ; . . . X X . . .
        DB      $18     ; . . . X X . . .
        DB      $5A     ; . X . X X . X .
        DB      $7E     ; . X X X X X X .
        DB      $3C     ; . . X X X X . .
        DB      $18     ; . . . X X . . .

; Symbol 'Right' - ASCII #97
        DB      $00     ; . . . . . . . .
        DB      $18     ; . . . X X . . .
        DB      $0C     ; . . . . X X . .
        DB      $FE     ; X X X X X X X .
        DB      $FE     ; X X X X X X X .
        DB      $0C     ; . . . . X X . .
        DB      $18     ; . . . X X . . .

; Symbol 'Multiply' - ASCII #98
        DB      $00     ; . . . . . . . .
        DB      $C6     ; X X . . . X X .
        DB      $6C     ; . X X . X X . .
        DB      $38     ; . . X X X . . .
        DB      $6C     ; . X X . X X . .
        DB      $C6     ; X X . . . X X .
        DB      $00     ; . . . . . . . .

; Symbol 'Divide' - ASCII #99
        DB      $30     ; . . X X . . . .
        DB      $30     ; . . X X . . . .
        DB      $00     ; . . . . . . . .
        DB      $FC     ; X X X X X X . .
        DB      $00     ; . . . . . . . .
        DB      $30     ; . . X X . . . .
        DB      $30     ; . . X X . . . .

; Graphic #1 - ASCII #100 (inverse "DEGLER")
        DB      $0C     ; . . . . X X . .
        DB      $75     ; . X X X . X . X
        DB      $75     ; . X X X . X . X
        DB      $74     ; . X X X . X . .
        DB      $75     ; . X X X . X . X
        DB      $75     ; . X X X . X . X
        DB      $0C     ; . . . . X X . .

; Graphic #2 - ASCII #101
        DB      $31     ; . . X X . . . X
        DB      $EE     ; X X X . X X X .
        DB      $EF     ; X X X . X X X X
        DB      $6C     ; . X X . X X . .
        DB      $EE     ; X X X . X X X .
        DB      $EE     ; X X X . X X X .
        DB      $31     ; . . X X . . . X

; Graphic #3 - ASCII #102
        DB      $BC     ; X . X X X X . .
        DB      $BD     ; X . X X X X . X
        DB      $BD     ; X . X X X X . X
        DB      $BC     ; X . X X X X . .
        DB      $BD     ; X . X X X X . X
        DB      $BD     ; X . X X X X . X
        DB      $84     ; X . . . . X . .

; Graphic #4 - ASCII #103
        DB      $21     ; . . X . . . . X
        DB      $EE     ; X X X . X X X .
        DB      $EE     ; X X X . X X X .
        DB      $61     ; . X X . . . . X
        DB      $EB     ; X X X . X . X X
        DB      $ED     ; X X X . X X . X
        DB      $2E     ; . . X . X X X .

        END

